Core - Bug # 56696

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-09 Assigned To:

Updated: 2014-03-10 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Tests: Incomplete mocking of $GLOBALS['TCA'] in ext:core

Description

Related issues:
duplicated by Core - Bug # 56697: Tests: Incomplete mocking of $§GLOBALS['TCA"... Closed

2014-03-09

Associated revisions

Revision 6f493ac7 - 2014-03-09 23:30 - Christian Kuhn

[BUGFIX] Tests: Incomplete mocking of $§GLOBALS['TCA in ext:core

To reduce dependencies of tests and improve readability, some tests
can be improved by better mocking of $§GLOBALS['TCA'

Change-Id: 17dee44b5a98f2384c2b77c51ebc678ff15669475
Resolves: #56696

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28203

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

History

#1 - 2014-03-09 23:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28203

#2 - 2014-03-10 00:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6f493ac7b0abc12be6f2a05aea08d4ffabceb930.
